#### D.13.6.23 texDrawTriangulation

Procedure from library `tropical.lib` (see tropical_lib).

Usage:
  texDrawTriangulation(triang,polygon); triang,polygon list

Assume:
  polygon is a list of integer vectors describing the
  lattice points of a marked polygon;
  triang is a list of integer vectors describing a
  triangulation of the marked polygon
  in the sense that an integer vector of the form (i,j,k) describes the triangle formed by polygon[i], polygon[j] and polygon[k]

Return:
  string, a texdraw code for the triangulation described by triang without the texdraw environment

Example:

    LIB "tropical.lib";
    // the lattice polygon spanned by the points (0,0), (3,0) and (0,3)
    // with all integer points as markings
    list polygon=intvec(1,1),intvec(3,0),intvec(2,0),intvec(1,0),intvec(0,0),
    intvec(2,1),intvec(0,1),intvec(1,2),intvec(0,2),intvec(0,3);
    // define a triangulation by connecting the only interior point
    //        with the vertices
    list triang=intvec(1,2,5),intvec(1,5,10),intvec(1,2,10);
    // produce the texdraw output of the triangulation triang
    texDrawTriangulation(triang,polygon);

User manual for Singular version 4.4.1, 2025, generated by texi2html.